Compilation of directory package on GHC 7.4

Gregory Collins greg at
Fri Oct 5 09:20:57 CEST 2012

On Thu, Oct 4, 2012 at 4:46 PM, Mark Lentczner <mark.lentczner at>wrote:

> This is probably the best place to talk about the directory library, and
> where the maintainers will listen.
> The directory package, while being on Hackage, is distributed with GHC. As
> such, the a given version of GHC generally only uses one version of
> directory. I would only expect bug-fix versions to work. For example, GHC
> 7.4.2 released with directory therefore we don't expect directory
> 1.2.x.y. to work with GHC 7.4.z. It might, but no assurance.
If that's the case, then directory-1.2 should have a lower-bound dependency
on base that forbids cabal from even trying to build it on GHC 7.4. As it
stands, the package is simply broken.

Gregory Collins <greg at>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <>

More information about the Libraries mailing list